/*
 * Class LINEAR [REAL_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_334 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_334 [] = {0xFF01,237,333,194,0xFFFF};
static const EIF_TYPE_INDEX egt_2_334 [] = {0xFF01,333,194,0xFFFF};
static const EIF_TYPE_INDEX egt_3_334 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_334 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_334 [] = {0xFF01,333,194,0xFFFF};
static const EIF_TYPE_INDEX egt_6_334 [] = {0xFF01,333,194,0xFFFF};
static const EIF_TYPE_INDEX egt_7_334 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_334 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_334 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_334 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_334 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_334 [] = {333,194,0xFFFF};
static const EIF_TYPE_INDEX egt_13_334 [] = {0xFF01,333,194,0xFFFF};
static const EIF_TYPE_INDEX egt_14_334 [] = {0xFF01,333,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_334 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_334 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_334 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_334[] = {
	{EIF_GENERIC(NULL), 2298, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_334), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_334), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_334), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_334), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_334), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_334), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_334), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_334), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_334), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_334), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_334), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_334), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_334), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_334), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2286, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1855, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1856, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1857, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1858, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1859, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_334), 2297, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_334), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2287, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2288, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2289, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_334), 2290, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2291, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_334), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2292, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2293, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2294, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2295, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2296, 0xFFFFFFFF},
};
void Init334(void)
{
	IDSC(desc_334, 0, 333);
	IDSC(desc_334 + 1, 1, 333);
	IDSC(desc_334 + 32, 77, 333);
	IDSC(desc_334 + 41, 155, 333);
	IDSC(desc_334 + 50, 30, 333);
}


#ifdef __cplusplus
}
#endif
